# wxSysColourChangedEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/event.h>`

Inheritance diagram for wxSysColourChangedEvent:
[legend]

## Detailed Description

This class is used for system colour change events, which are generated when the user changes the colour settings using the control panel.

This is only appropriate under Windows.

Remarks:
  The default event handler for this event propagates the event to child windows, since Windows only sends the events to top-level windows. If intercepting this event for a top-level window, remember to call the base class handler, or to pass the event on to the window's children explicitly.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxSysColourChangedEvent& event)

Event macros:

- EVT_SYS_COLOUR_CHANGED(func):
  Process a `wxEVT_SYS_COLOUR_CHANGED` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling

## Public Member Functions

| wxSysColourChangedEvent ()
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxSysColourChangedEvent::wxSysColourChangedEvent | ( |  | ) |

Constructor.

|  | [ top ]